# Get club history

MCP tool `get_club_history` on the server at https://tm-api.devinpearson.me/mcp

A club's past fiscal years (goals, Distinguished status, membership) and its recent changes by day, with report glitches removed.

**Arguments**

- `club_number` (string, required): Toastmasters club number, e.g. "113" or "00000113"
- `changes` (integer, optional): Most recent change events to include (default 50)

**Example call**

```bash
curl -X POST "https://tm-api.devinpearson.me/mcp" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json, text/event-stream" \
  -d '{"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"get_club_history","arguments":{"club_number":"113"}}}'
```
